Package org.apache.nutch.hostdb

## Interface CrawlDatumProcessor

- All Known Implementing Classes:
    `FetchOverdueCrawlDatumProcessor`

      public interface CrawlDatumProcessor

  These are instantiated once for each host.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `count​(CrawlDatum crawlDatum)` | Process a single crawl datum instance to aggregate custom counts.
    `void` | `finalize​(HostDatum hostDatum)` | Process the final host datum instance and store the aggregated custom counts in the HostDatum.

- - ### Method Detail

    - #### count

          void count​(CrawlDatum crawlDatum)

      Process a single crawl datum instance to aggregate custom counts.
      Parameters:
        `crawlDatum` - CrawlDatum instance to count information from

    - #### finalize

          void finalize​(HostDatum hostDatum)

      Process the final host datum instance and store the aggregated custom counts in the HostDatum.
      Parameters:
        `hostDatum` - HostDatum instance to hold the aggregated custom counts